org.eclnt.util.image

## Class SVGImageManager

- java.lang.Object
- - org.eclnt.util.image.SVGImageManager

-     public class SVGImageManager
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SVGImageManager.ISVGSourceReader` When resolving the SVG for a dynamically created SVG image (.ccsvg) then the reading of the SVG Source reader can be done by implementing this interface.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVGImageManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addSVGSourceReader(SVGImageManager.ISVGSourceReader svgSourceReader)`
    `byte[]` | `createImageCCSVG(java.lang.String path)`
    `java.lang.String` | `createSVGImage(java.lang.String svgResource, java.lang.String backgroundColor, java.lang.String color, int width, int height)`
    `byte[]` | `createSVGImageBytes(java.lang.String svgResource, java.lang.String backgroundColor, java.lang.String color, int width, int height)`
    `byte[]` | `findImage(java.lang.String dynImage)` Structure: "/svg(resourcePath,color,width[,height])" Example: "/svg(images/iconssvg/test.svg,#000000,32)"
    `protected java.lang.String` | `readSVG(java.lang.String svgResource)`
    `static void` | `removeSVGSourceReader(SVGImageManager.ISVGSourceReader svgSourceReader)`
    `static java.lang.String` | `updateSVG(java.lang.String svg, java.lang.String backgroundColor, java.lang.String color, int width, int height)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVGImageManager

          public SVGImageManager()

  - ### Method Detail

    - #### addSVGSourceReader

          public static void addSVGSourceReader(SVGImageManager.ISVGSourceReader svgSourceReader)

    - #### removeSVGSourceReader

          public static void removeSVGSourceReader(SVGImageManager.ISVGSourceReader svgSourceReader)

    - #### findImage

          public byte[] findImage(java.lang.String dynImage)

      Structure: "/svg(resourcePath,color,width[,height])" Example: "/svg(images/iconssvg/test.svg,#000000,32)"

    - #### createImageCCSVG

          public byte[] createImageCCSVG(java.lang.String path)

      Parameters:
        `path` - [.].[.][.]
      Returns:

    - #### createSVGImageBytes

          public byte[] createSVGImageBytes(java.lang.String svgResource,
                                            java.lang.String backgroundColor,
                                            java.lang.String color,
                                            int width,
                                            int height)

    - #### createSVGImage

          public java.lang.String createSVGImage(java.lang.String svgResource,
                                                 java.lang.String backgroundColor,
                                                 java.lang.String color,
                                                 int width,
                                                 int height)

    - #### updateSVG

          public static java.lang.String updateSVG(java.lang.String svg,
                                                   java.lang.String backgroundColor,
                                                   java.lang.String color,
                                                   int width,
                                                   int height)

    - #### readSVG

          protected java.lang.String readSVG(java.lang.String svgResource)

Copyright © CaptainCasa Gmbh. All Rights Reserved.